Bug 127082 - Legacy menus not displayed correctly
Legacy menus not displayed correctly
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-menus (Show other bugs)
4.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-01 14:33 EDT by Toralf
Modified: 2012-06-20 12:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:16:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/usr/share/gnome/apps/Internet/opera.desktop (101 bytes, text/plain)
2005-01-05 16:18 EST, Toralf
no flags Details

  None (edit)
Description Toralf 2004-07-01 14:33:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040615 Firefox/0.9

Description of problem:
The "legacy directory" support for the menus seem a bit off after I
upgraded from Fedora Core 1 to Fedora Core 2. Simply put, it looks
like wherever

  <!-- Scan legacy dirs first, as later items take priority -->
  <LegacyDir>/usr/share/gnome/apps</LegacyDir>
  <LegacyDir>/etc/X11/applnk</LegacyDir>

appear in the menu config files, most or all items in the dirs are
included - not just the ones that are appropriate for the active menu
- so I get the entire hierarchy from the above mentioned directory as
sub menus of Preferences, System Settings, System Tools, System
Settings/Server Settings etc.

Version-Release number of selected component (if applicable):
1.4.1-1

How reproducible:
Always

Steps to Reproduce:
1. Make sure some apps that install old-style menu files in
/etc/X11/applnk or /usr/share/gnome/apps are installed...
2. Look at the menu
    

Actual Results:  Preferences menu has submenus Applications, Games,
Graphics, Multimedia, Internet containing launchers for *applications*
(not config tools.) Same for System Tools, System Settings and
submenus of the latter.

Expected Results:  The relevant items are included in the global menu...

Additional info:
Comment 1 Toralf 2004-07-03 12:23:03 EDT
After thinking about this some more, I'm not sure I understand why the
<LegacyDir> directives are included at all in e.g preferences.menu and
system-settings.menu. Isn't it enough to have them on the top-level,
i.e. applications.menu? Or are there cases, e.g. in conjunction with
the nautilus view, when that file isn't read? If that's the case,
maybe you really want to include *subdirectories* of the old menu
paths in submenu descriptions, i.e. have something like

  <LegacyDir>/usr/share/gnome/apps/System</LegacyDir>
  <LegacyDir>/etc/X11/applnk/System</LegacyDir>

for system-settings.menu
Comment 2 Toralf 2004-07-03 12:31:14 EDT
Related problem: I also get a new submenu "Applications" at the
top-level - containing data stored /usr/share/gnome/apps/Applications/
and /etc/X11/applnk/Applications, obviously. Should perhaps those
entries be moved into a standard submenu? 
Comment 3 Toralf 2004-12-03 13:32:26 EST
Still there in Fedora Core 3.

I'm disappointed.
Comment 4 Bryan W Clark 2005-01-05 15:10:49 EST
Toralf, I'm not able to reproduce this bug at all.  If I create an
entry in the /usr/share/gnome/apps/System directory and then kill
gnome-panel I see the entry in the System menu and no where else.  I
believe the menu spec defines the behavior as such. I imagine you are
still experiencing problems. 

Are you running GNOME or KDE?  
What version of redhat-menus?
If you rpm -e redhat-menus --nodeps and then yum install redhat-menus
does this problem persist?
Comment 5 Toralf 2005-01-05 16:17:26 EST
Apparently, my system isn't quite ready to use "yum install"; there's
some GPG problem that I'm not sure how to resolve (I usually use rpm
directly, or the system installer.) However, re-installation via rpm
file made no difference - and I also removed everything from
/etc/xdg/menus/ for good measure.

Anyhow, one of the entries that's causing trouble is
/usr/share/gnome/apps/Internet/opera.desktop - I'll attach the actual
file shortly. When it's present I get an "Opera" entry in the
"Internet" menu as expected, but there will also be "Internet" sub
menus containing "Opera" under "System Settings" and "Preferences".

I'm using GNOME and (now) redhat-menus-1.13-1
Comment 6 Toralf 2005-01-05 16:18:41 EST
Created attachment 109398 [details]
/usr/share/gnome/apps/Internet/opera.desktop
Comment 7 Bryan W Clark 2005-01-05 17:08:43 EST
latest version is redhat-menus-3.7.1-3

could you upgrade to that and check?
Comment 8 Toralf 2005-01-07 12:20:25 EST
Just installed the latest rpm in Fedora development. The problem is
still there, I'm afraid.
Comment 9 Toralf 2005-03-09 08:08:52 EST
Enterprise Linux 4 also has this problem.
Comment 10 Toralf 2005-03-09 09:18:41 EST
I thought I might add a note on this just to make sure you understand what I'm
talking about:

(In reply to comment #4)
> Toralf, I'm not able to reproduce this bug at all.  If I create an
> entry in the /usr/share/gnome/apps/System directory and then kill
> gnome-panel I see the entry in the System menu and no where else.

The problem is not the entries to the System directory. The problem is that when
I add an entry to *any directory except System* under /usr/share/gnome/apps, an
item will appear under System in the menu.

Comment 11 Matthew Miller 2006-07-10 19:21:21 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 12 Toralf 2006-08-14 04:20:01 EDT
I don't think I'll be testing FC5 or 6 soon, so I'll move this to Enterprise
Linux instead. We also see this in 4WS, which is what we are currently using.
Comment 13 Toralf 2006-08-14 04:32:24 EDT
I think I'll merge this with related bug, with an update on how to reproduce:

Steps to reproduce

1. Create a file called /usr/share/gnome/apps/Applications/dummy.desktop with
   the following contents:
   [Desktop Entry]
   Name=Menu test
   Exec=true
   Terminal=1
2. Restart the panel

Actual Results: Two new menu entries are added; they are
Applications/Applications/Menu test
Applications/System Settings/Applications/Menu test

Expected Results:  One menu entry is added;
Applications/Other/Menu test

   
Comment 14 Toralf 2006-08-14 04:38:21 EDT
Urgh. I tried marking bug 98991 as a duplicate of this, but the operation was
for some reason not allowed.
Comment 15 Jiri Pallich 2012-06-20 12:16:32 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.